LibreOffice LibreOffice 6.1 SDK API Reference

Modules | Variables
LayoutManagerEvents.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::frame
| Desktop environment framework interfaces.

## Constant Groups
constants | com::sun::star::frame::LayoutManagerEvents
| provides information about layout manager events

## Variables
const short | LOCK = 0
| specifies that the layout manager processed a lock call, which prevents it from doing layouts. More...
const short | UNLOCK = 1
| specifies that the layout manager processed an unlock call, which admit layouts when the lock count is zero. More...
const short | LAYOUT = 2
| specifies that the layout manager refreshed the layout of the frame. More...
const short | VISIBLE = 3
| specifies that the layout manager container frame window becomes visible. More...
const short | INVISIBLE = 4
| specifies that the layout manager container frame window becomes invisible. More...
const short | MERGEDMENUBAR = 5
| A merged menu bar has been set at the layout manager. More...
const short | UIELEMENT_VISIBLE = 6
| specifies that a certain user interface element has been made visible More...
const short | UIELEMENT_INVISIBLE = 7
| specifies that a certain user interface element has been made invisible More...